Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class DeleteRequest

    java.lang.Object
      |
      +--org.openspml.message.SpmlRequest
            |
            +--org.openspml.message.DeleteRequest

public class DeleteRequest
extends SpmlRequest

A class used to represent a `deleteRequest` element.

Fields inherited from class org.openspml.message.SpmlRequest
`EXEC_ASYNCHRONOUS, EXEC_SYNCHRONOUS`

Constructor Summary
`DeleteRequest()`

Method Summary
`SpmlResponse` | `createResponse()` Build an empty SpmlRequest object that corresponds to this request.
`java.lang.String` | `getElementName()` SpmlRequest.toXml does it all, we have nothing to add beyond our specific element name.

Methods inherited from class org.openspml.message.SpmlRequest
`dumpFile, getIdentifier, getIdentifierString, getOperationalAttribute, getOperationalAttributes, getOperationalAttributeValue, getRequestId, isAsynchronous, parseRequest, parseRequest, setAsynchronous, setIdentifier, setIdentifier, setOperationalAttribute, setOperationalAttribute, setOperationalAttributes, setRequestId, toXml, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteRequest

    public DeleteRequest()

Method Detail

### createResponse

    public SpmlResponse createResponse()

  Description copied from class: SpmlRequest
  Build an empty SpmlRequest object that corresponds to this request. Used in a few error conditions to return the expected response object when one was not actually sent back from the server.
  Overrides:
    createResponse in class SpmlRequest

### getElementName

    public java.lang.String getElementName()

  SpmlRequest.toXml does it all, we have nothing to add beyond our specific element name.
  Overrides:
    getElementName in class SpmlRequest

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD